<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ProductionLineStop extends Model
{
    use SoftDeletes;

    protected $fillable = [
        "plant_id",
        "shift_id",
        "line_id",
        "linestop_id",
        "from_datetime",
        "to_datetime",
        "stop_hour",
        "stop_min",
        "operator_id",
    ];

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }

    public function shift(): BelongsTo
    {
        return $this->belongsTo(Shift::class);
    }

    public function line(): BelongsTo
    {
        return $this->belongsTo(Line::class);
    }

    public function linestop(): BelongsTo
    {
        return $this->belongsTo(LineStop::class);
    }

    // //..this is my code below
    // public function lineStopRelation()
    // {
    //     return $this->belongsTo(LineStop::class, 'linestop_id');
    // }


}
